[FFOS2.0][Woodduck][Camera]The screen display black when the Flashlight in the background.

RESOLVED WONTFIX

Status

defect
P2
normal
RESOLVED WONTFIX
4 years ago
4 months ago

People

(Reporter: sync-1, Unassigned, NeedInfo)

Tracking

unspecified
Dependency tree / graph

Firefox Tracking Flags

(b2g-v2.0 affected, b2g-v2.0M affected, b2g-v2.1 affected, b2g-v2.2 affected, b2g-master affected)

Details

Attachments

(5 attachments)

Reporter

Description

4 years ago
DEFECT DESCRIPTION:
 The screen display black and the camera don't work.
 
  REPRODUCING PROCEDURES:
 This phone is US 1SIM(Have the flash.)
 1:Enter the Flashlight, then press the home key to Background.
 2:Enter the Camera.
 
  EXPECTED BEHAVIOUR:
 The camera can use normally.

Comment 1

4 years ago
needinfo jocheng@mozilla.com

Updated

4 years ago
Flags: needinfo?(jocheng)

Updated

4 years ago
Component: Gaia::Camera → Preinstalled B2G Apps
Flags: needinfo?(jocheng)
Product: Firefox OS → Tech Evangelism
Reporter

Comment 2

4 years ago
Created an attachment (id=1291098)
 flashlight app's code
Reporter

Comment 3

4 years ago
Created an attachment (id=1291098)
 flashlight app's code
Reporter

Comment 4

4 years ago
Created an attachment (id=1291098)
 flashlight app's code
Reporter

Comment 5

4 years ago
the flashlight app will request the permission to use the camera, when hide the flashlight, it does't release the camera object. so when open the camera app, and wants to get unreleased camera will cause some error.
 
 and I think flashlight which is an 3rd app, should never impact embeded apps.
Hi Norry,
Flashlight can be downloaded from here: https://marketplace.firefox.com/app/flashlight-7?src=search
qawanted for Woodduck 2.0M and Flame 2.0/2.1/2.2. Thanks!
Flags: needinfo?(fan.luo)

Updated

4 years ago
Blocks: Woodduck
Reporter

Comment 7

4 years ago
hi
 
 I modify the flashlight's code, and add some release code when hide the app.
 but i think it's not good to modify 3rd apps. so if there any good ideas?
Hi Reporter,
There is Arthur email at the application download page: axel.bluem@gmail.com
You can contact him directly for any code revise discussion.
Thanks!
Flags: needinfo?(sync-1)

Comment 9

4 years ago
(In reply to Josh Cheng [:josh] from comment #8)
> Hi Reporter,
> There is Arthur email at the application download page: axel.bluem@gmail.com
> You can contact him directly for any code revise discussion.
> Thanks!

thanks, but I think we should modify 3rd app's code as less as possible. so if there any ideas about modify gaia/gecko's code to resolve this bug?
(In reply to Josh Cheng [:josh] from comment #6)
> Hi Norry,
> Flashlight can be downloaded from here:
> https://marketplace.firefox.com/app/flashlight-7?src=search
> qawanted for Woodduck 2.0M and Flame 2.0/2.1/2.2. Thanks!

Hi Josh,

    I am unable to repro this bug on latest Woodduck v2.0 and Flame v2.0&2.1&2.2. We have no US SIM, so I use CU SIM/ CMCC SIM instead of US SIM for testing.

See attachments: verify_v2.0m.mp4.
Reproduce rate: 0/10(v2.0m),0/5(v2.0&2.1&2.2).

STR:
1.Flash build with CU SIM (WCDMA) card or CMCC SIM card.
2.Connect a wifi and download Flashlight app (v1.0) from Marketplace.
3.Enter the Flashlight, then press the home key to Background.
4.Enter the Camera.
**Camera app works normally.

---------------------------------------------------------------------------------
Device: Woodduck v2.0 build(unaffected)
Build ID               20150526050314
Gaia Revision          45ef5035abb12ecc599574cf7e08093a7cd35a66
Gaia Date              2015-05-12 01:39:55
Gecko Revision         6e1bada60fa18f3dd552db7618582879964747d7
Gecko Version          32.0
Device Name            jrdhz72_w_ff
Firmware(Release)      4.4.2
Firmware(Incremental)  1432587887
Firmware Date          Tue May 26 05:05:05 CST 2015

Device: Flame v2.0 build(Unaffected)
Build ID               20150525160203
Gaia Revision          5552bf529d3d6775a968942e9afa6c1d4037362c
Gaia Date              2015-05-21 14:42:19
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/b841c3b8a094
Gecko Version          32.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150525.193318
Firmware Date          Mon May 25 19:33:29 EDT 2015
Bootloader             L1TC000118D0

Device: Flame v2.1 build(Unaffected)
Build ID               20150525001202
Gaia Revision          0d343f49c0e0a3928a4f456faf98e37bb26a6ef6
Gaia Date              2015-05-21 14:40:33
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/74464f851eed
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150525.033811
Firmware Date          Mon May 25 03:38:22 EDT 2015
Bootloader             L1TC000118D0

Device: Flame v2.2 build(unaffected)
Build ID               20150525002504
Gaia Revision          144673a413586f98b5e2c27b781c1a539611f754
Gaia Date              2015-05-25 02:01:14
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c4db2af40b1b
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150525.041143
Firmware Date          Mon May 25 04:11:54 EDT 2015
Bootloader             L1TC000118D0
Flags: needinfo?(fan.luo)
Reporter

Comment 12

4 years ago
hi
 
 I try to download the app from https://marketplace.firefox.com/app/flashlight-7?src=search, but i can't find the download button on the website. so i don't know if it's the right app. 
 maybe you can try flashlight app from attachments.flashlight will request to use the  camera permission. so it can open the camera's flash light.
Posted image v2.1&2.2&3.0.png
According to Comment 12, I try to use the flashlight app from attachments for the reproduction. Then I am able to repro this bug on latest Woodduck v2.0 and latest Flame v2.0&2.1&2.2&3.0 build by the STR of Comment 0. We get different results as shown below:

Results in step 1:
**On Woodduck v2.0 and Flame v2.2&3.0: the flashlight at the back of device is not on.
**On Flame v2.1&2.0: the flashlight at the back of device is turned on normally.

Results in step 2:
**On Flame v2.1&2.2&3.0: It prompts "Camera Unavailable. The camera is in use by another app".
**On Woodduck v2.0 and Flame v2.0:  The camera screen displays black and no any prompt.

See attachments: v2.1&2.2&3.0.png, fail_v2.0m.mp4 and logcat_v2.0m.txt
Reproduce rate: 5/5
Posted video fail_v2.0m.mp4
Device: Flame v3.0 build(affected)
Build ID               20150525160205
Gaia Revision          5bcc08a732163087999251b523e3643db397412c
Gaia Date              2015-05-24 14:44:40
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b6623a27fa64
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150525.192755
Firmware Date          Mon May 25 19:28:07 EDT 2015
Bootloader             L1TC000118D0
QA Whiteboard: [MGSEI-Triage+]
See Also: → 1102675
With respect to the third party application blocking access to the camera, this should be resolved by bug 1073017. Once it lands (pending a code review), the most recent application opened by the user will force the previous owner to release the camera and then seize ownership for itself.
Depends on: camera-parent
Mass closing on Tech Evangelism::Preinstalled B2G App as Firefox OS is no longer a thing.
Status: NEW → RESOLVED
Closed: 11 months ago
Resolution: --- → WONTFIX
Mass closing on Tech Evangelism::Preinstalled B2G App as Firefox OS is no longer a thing.
Mass closing on Tech Evangelism::Preinstalled B2G App as Firefox OS is no longer a thing.

Updated

4 months ago
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.